﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.utils.setInterval;
	public class Genever extends Sprite
	{
		private var points:Array = new Array();
		private var numPoints:Number = 60;
		private var gravity = 0.01;
		private var sizeChange:Number = 1;
		private var i:Number = 0.01;
		private var numGravity:Number = 3;


		
		public function Genever()
		{
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);
			addEventListener(MouseEvent.MOUSE_DOWN, Bang);
		}
		private function addedHandler(e:Event):void
		{
			addEventListener(Event.ENTER_FRAME,enterHandler);
		}
		private function enterHandler(e:Event):void
		{
			addPoint();
			update();
			draw();
		}
		private function addPoint():void
		{
			var point:Object;
			if(points.length<numPoints){
			point = {};
			initPoint(point);
			points.push(point);
			}
		}
		private function initPoint(p:Object):void
		{
			gravity = ((mouseX/50) * (mouseY/50))/130;
			p.x = stage.stageWidth/2;
			p.y = stage.stageHeight/2;
			p.vx = Math.random()*4-2;
			p.vy = Math.random()*-6-5;
			p.radius = sizeChange + (mouseX/30);//Math.random()*5+1;
		}
		private function update():void
		{
			for(var i:Number = 0;i< points.length;i++){
				points[i].vy += gravity;
				points[i].x += points[i].vx;
				points[i].y+= points[i].vy;
				if(points[i].x>stage.stageWidth  || points[i].x < 0 || points[i].y >stage.stageHeight || points[i].y < 0){
					initPoint(points[i]);
				}
			}
		}
		private function draw():void
		{
			this.graphics.clear();
			for(var i:Number = 0;i<points.length;i++){
				this.graphics.beginFill(0xfffea3,.8);
				this.graphics.drawCircle(points[i].x,points[i].y,points[i].radius);
				this.graphics.endFill();
			}
		}
		
		private function Bang(Event:MouseEvent)
		{
			sizeChange += 5; //100
			//trace(numBang);
		}
	}
}